Commit 9f2e300f authored by Nikos Skalkotos's avatar Nikos Skalkotos

Bump version to 0.15rc1

Add multiple version files to automatically update the docs version too.
We need devflow 0.13rc1 or later for this to work
parent 4f336518
[ packages ]
[[ devflow ]]
version_file = "version.m4"
version_template = "version_template"
version_file = "version.m4","docs/version.py"
version_template = "version_template","docs/version_template"
......@@ -12,7 +12,8 @@
# serve to show the default.
import sys, os
sys.path.insert(0, os.path.dirname(os.path.realpath(__file__)))
from version import __version__
# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
......@@ -45,9 +46,9 @@ copyright = u'2011, 2012, 2013 GRNET S.A. All rights reserved'
# built documents.
#
# The short X.Y version.
version = '0.14'
version = __version__
# The full version, including alpha/beta/rc tags.
release = '0.14'
release = __version__
# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
......
__version__ = "0.15rc1"
__version__ = "%(DEVFLOW_VERSION)s"
m4_define([devflow_version], [0.14next])
m4_define([devflow_version], [0.15rc1])
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment